package com.eactive.eai.adapter.http;

import org.apache.commons.httpclient.methods.EntityEnclosingMethod;

import com.eactive.eai.common.util.Logger;

public class EntityEnclosingGetMethod extends EntityEnclosingMethod {
	public static Logger logger = Logger.getLogger(Logger.LOGGER_ADAPTER);

	public EntityEnclosingGetMethod() {
		setFollowRedirects(true);
	}

	public EntityEnclosingGetMethod(String uri) {
		super(uri);
		if (logger.isDebugEnabled()) {
			logger.debug("enter GetMethod(String)");
		}
	}

	@Override
	public String getName() {
		return "GET";
	}
}
